# Form implementation generated from reading ui file 'src/eric7/EricNetwork/EricSslCertificatesInfoDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricSslCertificatesInfoDialog(object):
    def setupUi(self, EricSslCertificatesInfoDialog):
        EricSslCertificatesInfoDialog.setObjectName("EricSslCertificatesInfoDialog")
        EricSslCertificatesInfoDialog.resize(556, 486)
        EricSslCertificatesInfoDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricSslCertificatesInfoDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.sslWidget = EricSslCertificatesInfoWidget(parent=EricSslCertificatesInfoDialog)
        self.sslWidget.setObjectName("sslWidget")
        self.verticalLayout.addWidget(self.sslWidget)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=EricSslCertificatesInfoDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(EricSslCertificatesInfoDialog)
        self.buttonBox.accepted.connect(EricSslCertificatesInfoDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(EricSslCertificatesInfoDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(EricSslCertificatesInfoDialog)

    def retranslateUi(self, EricSslCertificatesInfoDialog):
        _translate = QtCore.QCoreApplication.translate
        EricSslCertificatesInfoDialog.setWindowTitle(_translate("EricSslCertificatesInfoDialog", "SSL Certificate Info"))
from eric7.EricNetwork.EricSslCertificatesInfoWidget import EricSslCertificatesInfoWidget
